学习 Aspose.Cells Cloud

欢迎学习 Aspose.Cells Cloud

本站点专为希望使用 Aspose.Cells Cloud API 开发框架构建应用程序的开发者而设。

什么是 Aspose.Cells Cloud API?

一种基于 REST 的服务,用于以编程方式在云端创建、编辑、转换和分析电子表格。通过可扩展的 API 处理 XLS、XLSX、CSV 文件,无需依赖 Microsoft Excel。

谁应该使用 Aspose.Cells Cloud API?

构建电子表格自动化解决方案的开发者——从初学者到企业团队均可使用。通过 REST API 创建、编辑、转换和分析 XLSX/CSV 文件,无需安装 Excel。

两步使用 Aspose.Cells Cloud API

5 分钟内实现零基础到自动化

第一步:获取 API 凭据

  1. 免费注册
  2. 创建应用 → 复制 Client IDClient Secret

第二步:执行您的首个 API 调用

# 通过 cURL 获取访问令牌
curl -X POST "https://api.aspose.cloud/connect/token" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET"

# 通过 cURL 将 XLSX 转换为 PDF
curl -v "https://api.aspose.cloud/v4.0/cells/convert/spreadsheet?format=PDF" \
-X PUT \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: multipart/form-data" \
-F "File=@input.xlsx"

通过 SDK 执行电子表格 API

# Python SDK 示例
from asposecellscloud.apis.cells_api import CellsApi
from asposecellscloud.models import *
from asposecellscloud.requests import *

CellsCloudClientId ='....'  # 从 https://dashboard.aspose.cloud/#/applications 获取
CellsCloudClientSecret='....'  # 从 https://dashboard.aspose.cloud/#/applications 获取
instance  = CellsApi(CellsCloudClientId,CellsCloudClientSecret)
response = instance.convert_spreadsheet(ConvertSpreadsheetRequest( 'EmployeeSalesSummary.xlsx', 'pdf') , local_outpath = "EmployeeSalesSummary.pdf")

为何选择 Aspose.Cells Cloud API?

面向企业级的云端 Excel 引擎

Aspose.Cells Cloud 是专为云端服务设计的强大 Excel 引擎,提供丰富的功能,助您创建、编辑、转换和分析电子表格。

多语言 SDK 支持

  • 全面覆盖:.NET/Java/Python/Node.js/PHP/Perl
  • 新兴语言支持:Go/Ruby

低代码:以最少编码赋能快速开发

    CellsApi cellsApi = new CellsApi(Environment.GetEnvironmentVariable("CellsCloudClientId"), Environment.GetEnvironmentVariable("CellsCloudClientSecret"));
    cellsApi.ConvertSpreadsheet(new ConvertSpreadsheetRequest { Spreadsheet = "EmployeeSalesSummary.xlsx", format = "pdf" }, "EmployeeSalesSummary.pdf");

出色的技术支持